[PATCH 2/2] strace-log-merge: print warning to use '-tt' on error

Brandon Maier brandon.maier at collins.com
Fri May 24 13:00:08 UTC 2024


When running `strace-log-merge` on strace logs created without
timestamps. It prints the error "strace output not found" which sounds
like it failed to find the log files.

The earlier command `iterate_logfiles process_suffix` checks for the
existence of log files. So this second error message we can print a more
useful error and suggest the user try '-tt'.

Signed-off-by: Brandon Maier <brandon.maier at collins.com>
---
 src/strace-log-merge | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/strace-log-merge b/src/strace-log-merge
index ee06531f1..78122896b 100755
--- a/src/strace-log-merge
+++ b/src/strace-log-merge
@@ -86,5 +86,5 @@ iterate_logfiles process_logfile |
 
 rc=$?
 [ $rc -eq 1 ] &&
-	echo >&2 "${0##*/}: $logfile: strace output not found"
+	echo >&2 "${0##*/}: $logfile: error parsing strace logs, did you run strace with '-tt[t]'?"
 exit $rc
-- 
2.45.1



More information about the Strace-devel mailing list